SUP-DUMP(1)

NAME

sup-dump - dumps message state from Sup index

SYNOPSIS

sup-dump [options]

DESCRIPTION

Dumps all message state from the Sup index to standard out. You can later use sup-sync --restored --restore to recover the index.

This tool is primarily useful in the event that a Sup upgrade breaks index format compatibility.

OPTIONS

-v, --version
    Print version and exit

-h, --help
    Show help message

EXAMPLES

Dump message state and store in file

    sup-dump > filename

Dump message state and compress output to store in file

    sup-dump | bzip2 > filename.bz2

SEE ALSO

sup(1), sup-sync(1), sup-import-dump(1)

REPORTING BUGS

You are welcome to submit bug reports to the Sup issue tracker, located at

<https://github.com/sup-heliotrope/sup/issues>

CONTACT INFORMATION

The Sup web page:
    <http://supmua.org/>

Code repository:
    <https://github.com/sup-heliotrope/sup/>

Sup Wiki:
    <https://github.com/sup-heliotrope/sup/wiki/>

Sup IRC channel:
    #sup @ freenode.net

Mailing list:
    supmua@googlegroups.com

    supmua+subscribe@googlegroups.com

    Archives: <https://groups.google.com/d/forum/supmua/>

COPYRIGHT

Copyright © 2006-2009 William Morgan <mworgan-sup@masanjin.net>

Copyright @ 2013-2014 Sup developers

Permission is granted to copy and distribute this manual under the terms of the GNU General Public License; either version 2 or (at your option) any later version.

AUTHORS
Sup was originally written by William Morgan <wmorgan-sup@masanjin.net> and is now developed and maintained by the Sup developers.